from django.db import models
from django.contrib.auth.models import User


# Create your models here.


class Article(models.Model):
    class Meta:
        db_table = 'article'

    id = models.BigAutoField(primary_key=True)
    title = models.CharField(max_length=128, null=False)
    crate_time = models.DateTimeField(null=False)
    author = models.ForeignKey(User, on_delete=models.PROTECT)

    def __repr__(self):
        return "<article : {} {} {}>".format(
            self.id, self.title, self.crate_time)

    __str__ = __repr__


class Content(models.Model):
    class Meta:
        db_table = 'content'

    article = models.OneToOneField(
        Article,
        on_delete=models.PROTECT,
        primary_key=True)
    content = models.TextField(null=True)

    def __repr__(self):
        return "<Content: {} {} >".format(self.pk, self.content)

    __str__ = __repr__
